
package cdpp3dview.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Tuple6d complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Tuple6d">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="x" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="y" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="z" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="vx" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="vy" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="vz" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Tuple6d", propOrder = {
    "x",
    "y",
    "z",
    "vx",
    "vy",
    "vz"
})
public class Tuple6D {

    protected double x;
    protected double y;
    protected double z;
    protected double vx;
    protected double vy;
    protected double vz;

    /**
     * Gets the value of the x property.
     * 
     */
    public double getX() {
        return x;
    }

    /**
     * Sets the value of the x property.
     * 
     */
    public void setX(double value) {
        this.x = value;
    }

    /**
     * Gets the value of the y property.
     * 
     */
    public double getY() {
        return y;
    }

    /**
     * Sets the value of the y property.
     * 
     */
    public void setY(double value) {
        this.y = value;
    }

    /**
     * Gets the value of the z property.
     * 
     */
    public double getZ() {
        return z;
    }

    /**
     * Sets the value of the z property.
     * 
     */
    public void setZ(double value) {
        this.z = value;
    }

    /**
     * Gets the value of the vx property.
     * 
     */
    public double getVx() {
        return vx;
    }

    /**
     * Sets the value of the vx property.
     * 
     */
    public void setVx(double value) {
        this.vx = value;
    }

    /**
     * Gets the value of the vy property.
     * 
     */
    public double getVy() {
        return vy;
    }

    /**
     * Sets the value of the vy property.
     * 
     */
    public void setVy(double value) {
        this.vy = value;
    }

    /**
     * Gets the value of the vz property.
     * 
     */
    public double getVz() {
        return vz;
    }

    /**
     * Sets the value of the vz property.
     * 
     */
    public void setVz(double value) {
        this.vz = value;
    }

}
